<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">

  <h4
    class="modal-title"
    id="modal-basic-title overflow-hidden text-overflow-ellipsis"
    [innerText]="getTitle()">
  </h4>
  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body">
  <div *ngIf="!!externalActionProvider" class="alert alert-warning" role="alert">
    <fa-icon class="pe-2" [icon]="commonIcons.WARNING_ICON"></fa-icon>
    <span [innerText]="messages.EXTERNAL_SIGNATURE_STAMP_SIZE_WARNING"></span>
  </div>

  <form
    *ngIf="!externalActionProvider"
    [formGroup]="annotationFormGroup" class="mb-2">

    <div class="form-group" *ngIf="!isSignaturePlacement()">
      <label for="annotation" [innerText]="messages.ANNOTATION_POPUP_CONTENT_LABEL"></label>
      <textarea
        id="annotation"
        class="form-control"
        name="content"
        rows="6"
        formControlName="content">
      </textarea>
    </div>

    <div *ngIf="isSignaturePlacement()">
      <span [innerText]="messages.SIGNATURE_PLACEMENT_POPUP_CONTENT"></span>
      <ng-select
        [clearable]="false"
        [virtualScroll]="false"
        [notFoundText]="commonMessages.NOT_FOUND"
        id="type"
        class="mt-2"
        formControlName="signatureTemplate"
        required>
        <ng-option
          *ngFor="let template of templateTypes"
          [value]="template"
          [innerText]="template | templateTypeName">
        </ng-option>
      </ng-select>
    </div>
  </form>
  <app-pdf-example
    *ngIf="isSignaturePlacement() && !externalActionProvider"
    [lastModificationDate]="lastModificationDate"
    [pdfSource]="templateSrc"
    [height]="'50vh'">
  </app-pdf-example>
</div>
<div class="modal-footer">
  <button
    ls-button-cancel
    (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)"
    [icon]="commonIcons.CLOSE_ICON"
    [text]="commonMessages.CANCEL">
  </button>

  <button
    ls-button
    *ngIf="(type !== 'annotationCreated' && type !== 'signaturePlacementCreated') && !readOnly"
    (click)="activeModal.close({value: 'delete', annotation: stickyNote || signaturePlacement})"
    [style]="style.DANGER"
    [icon]="commonIcons.DELETE_ICON"
    [text]="commonMessages.DELETE">
  </button>

  <button
    ls-button
    *ngIf="!readOnly"
    [disabled]="!annotationFormGroup.valid"
    (click)="perform()"
    [style]="style.NORMAL"
    [icon]="checkIcon"
    [text]="commonMessages.VALIDATE">
  </button>
</div>
